Skip to main content
POST
/
api
/
v1
/
graphify
/
threads
/
{thread_id}
/
runs
/
stream
Stream thread run
curl --request POST \
  --url https://flowra.dev/api/v1/graphify/threads/{thread_id}/runs/stream \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "input": "<unknown>",
  "stream_mode": [
    "values",
    "messages-tuple",
    "custom"
  ],
  "stream_subgraphs": true,
  "stream_resumable": true,
  "assistant_id": "rube",
  "on_disconnect": "continue",
  "workflowId": "uuid"
}
'

Authorizations

x-api-key
string
header
required

Project API key. Create and manage keys in the dashboard under Project → API Keys. Send as header: x-api-key:

Path Parameters

thread_id
string
required

Thread ID

Example:

"b737d8af-a9e0-4251-9714-3fdc1126e5fb"

Body

application/json

Response

Operation completed successfully